This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### textureWrap()
Examples |
    PImage img;

    void setup() {
      size(300, 300, P2D);
      img = loadImage("berlin-1.jpg");
      textureMode(NORMAL);
    }

    void draw() {
      background(0);
      translate(width/2, height/2);
      rotate(map(mouseX, 0, width, -PI, PI));
      if (mousePressed) {
        textureWrap(REPEAT);
      } else {
        textureWrap(CLAMP);
      }
      beginShape();
      texture(img);
      vertex(-100, -100, 0, 0);
      vertex(100, -100, 2, 0);
      vertex(100, 100, 2, 2);
      vertex(-100, 100, 0, 2);
      endShape();
    }
Description | Defines if textures repeat or draw once within a texture map. The two parameters are CLAMP (the default behavior) and REPEAT. This function only works with the P2D and P3D renderers.
Syntax |
    textureWrap(wrap)
Parameters |
wrap | int: Either CLAMP (default) or REPEAT
Returns | void
Related | texture() textureMode()

Updated on October 26, 2013 08:58:31pm PDT